# Generated from qpid_messaging-0.20.2.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name qpid_messaging
%global gem_extdir %{gem_extdir_mri}
%{!?gem_extdir: %global gem_extdir %{gem_instdir}/extdir}

Summary: Qpid is an enterprise messaging framework
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.20.2
Release: 5%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://qpid.apache.org
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: qpid-4933-fix-ruby-gem-installs-on-ruby-greater-than-1.8.7.patch
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildRequires: %{?scl_prefix}ruby-devel 
BuildRequires: qpid-cpp-client-devel
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Qpid is an enterprise messaging framework.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} "}
gem unpack %{SOURCE0}
%{?scl:"}

%setup -q -D -T -n %{gem_name}-%{version}
%{?scl:scl enable %{scl} "}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

# apply patches here
%patch0 -p7


%build
%{?scl:scl enable %{scl} "}
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gem_dir} \
            -V \
            --force %{gem_name}-%{version}.gem
%{?scl:"}


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir}/lib
# TODO: move the extensions
##mv %{buildroot}%{gem_instdir}/lib/shared_object.so %{buildroot}%{gem_extdir}/lib/



# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_extdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/TODO
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/features
%doc %{gem_instdir}/spec

%changelog
* Wed Dec 10 2014 Joe VLcek <jvlcek@redhat.com> - 0.20.2-5
- Fix use of macro gem_extdir_mri

* Wed Dec 10 2014 Joe VLcek <jvlcek@redhat.com> - 0.20.2-4
- Use macro gem_extdir_mri

* Fri Dec 05 2014 Joe VLcek <jvlcek@redhat.com> - 0.20.2-3
- Remove the rubyabi macro

* Fri May 16 2014 Joe Rafaniello <jrafanie@redhat.com> - 0.20.2-2
- Apply an upstream patch: Fix Ruby gem installs on Ruby > 1.8.7
- https://issues.apache.org/jira/browse/QPID-4933
- https://svn.apache.org/viewvc?view=revision&revision=r1494628

* Fri May 10 2013 Steve Linabery <slinaber@redhat.com> - 0.20.2-1
- Initial package
